org.apache.catalina.tribes.membership

## Class Membership.MbrEntry

- java.lang.Object
- - org.apache.catalina.tribes.membership.Membership.MbrEntry

Enclosing class:
  Membership

    protected static class Membership.MbrEntry
    extends Object

Inner class that represents a member entry

### Field Summary

Fields
`protected long` `lastHeardFrom`
`protected MemberImpl` `mbr`

### Constructor Summary

Constructors
Constructor and Description
`Membership.MbrEntry(MemberImpl mbr)`

### Method Summary

Methods
`void` `accessed()` Indicate that this member has been accessed.
`MemberImpl` `getMember()` Return the actual Member object
`boolean` `hasExpired(long maxtime)` Check if this dude has expired

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mbr

    protected MemberImpl mbr

#### lastHeardFrom

    protected long lastHeardFrom

### Constructor Detail

#### Membership.MbrEntry

    public Membership.MbrEntry(MemberImpl mbr)

### Method Detail

#### accessed

    public void accessed()

Indicate that this member has been accessed.

#### getMember

    public MemberImpl getMember()

Return the actual Member object

#### hasExpired

    public boolean hasExpired(long maxtime)

Check if this dude has expired

Parameters:
  `maxtime` - The time threshold